%define name		jms
%define version		1.1
%define cvs_version	1_1
%define release		3jpp_2rh
%define section		non-free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Java Message Service
License:	Sun Binary Code License
Url:		http://java.sun.com/products/%{name}/
Group:		Development/Libraries/Java
#Vendor:		JPackage Project
#Distribution:	JPackage
Source0:	%{name}-%{cvs_version}-fr-apidocs.zip
#NoSource:	0
BuildArch:	noarch
BuildRequires:	jpackage-utils >= 0:1.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The Java Message Service (JMS) API has been developed by Sun working in
close cooperation with the leading enterprise messaging vendors.
Enterprise messaging is now recognized as an essential tool for building
enterprise applications. By combining Java technology with enterprise
messaging, the JMS API provides a new, powerful tool for solving
enterprise computing problems.

Enterprise messaging provides a reliable, flexible service for the
asynchronous exchange of critical business data and events throughout an
enterprise. The JMS API adds to this a common API and provider framework
that enables the development of portable, message based applications in
the Java programming language.

The JMS API improves programmer productivity by defining a common set of
messaging concepts and programming strategies that will be supported by
all JMS technology-compliant messaging systems.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{name}%{version}
# fix files perms
chmod -R go=u-w *

%build

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 lib/javax.%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for file in *.jar; do ln -sf $file `basename $file -%{version}.jar`.jar;done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Wed Oct 27 2004 Fernando Nasser <fnasser@redhat.com> 0:1.1-3jpp_2rh
- Rebuild

* Mon Mar  8 2004 Frank Ch. Eigler <fche@redhat.com> 0:1.1-3jpp_1rh
- RH vacuuming

* Tue May 06 2003 David Walluck <david@anti-microsoft.org> 0:1.1-3jpp
- update for JPackage 1.5

* Fri Mar 21 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.1-2jpp
- for jpackage-utils 1.5
(shouldn't we try to build from source instead of using binaty jar ?)

* Thu May 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1-1jpp
- 1.1
- vendor, distribution, group tags
- use complete jar

* Fri Apr 05 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2b-7jpp 
- nosrc package
- section macro

* Thu Jan 17 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2b-6jpp
- javadoc in %{_javadocdir} again

* Mon Jan 7 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2b-5jpp
- javadoc back to /usr/share/doc
- no dependencies for javadoc package
- standardised summary

* Fri Dec 7 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2b-4jpp
- javadoc into javadoc package

* Sun Oct 28 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2b-3jpp
- first unified release

* Tue Oct 09 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2b-2mdk
- s/jPackage/JPackage/
- spec cleanup

* Sat Oct 06 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2b-1mdk
- first Mandrake release
